from setuptools import setup, find_packages


setup(name='exorcism.main',
      version='0.1',
      description='Exorcism is a ZODB Cleaner.',
      long_description="""\
""",
      # Get strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[],
      keywords='zope ztk bluebream plone zodb',
      author='Justin Alan Ryan',
      author_email='info@fastergreener.net',
      url='http://meteor.fastergreener.net/',
      license='AGPL',
      package_dir={'': 'src'},
      packages=find_packages('src'),
      namespace_packages=['exorcism'],
      include_package_data=True,
      zip_safe=True,
      install_requires=['setuptools',
                        'zope.securitypolicy',
                        'zope.component',
                        'zope.annotation',
                        'zope.browserresource',
                        'zope.app.dependable',
                        'zope.app.appsetup',
                        'zope.app.content',
                        'zope.publisher',
                        'zope.app.broken',
                        'zope.app.component',
                        'zope.app.generations',
                        'zope.app.error',
                        'zope.app.interface',
                        'zope.app.publisher',
                        'zope.app.security',
                        'zope.app.form',
                        'zope.app.i18n',
                        'zope.app.locales',
                        'zope.app.zopeappgenerations',
                        'zope.app.principalannotation',
                        'zope.app.basicskin',
                        'zope.app.rotterdam',
                        'zope.app.folder',
                        'zope.app.wsgi',
                        'zope.formlib',
                        'zope.i18n',
                        'zope.app.pagetemplate',
                        'zope.app.schema',
                        'zope.app.container',
                        'zope.app.debug',
                        'z3c.testsetup',
                        'zope.app.testing',
                        'zope.testbrowser',
                        'zope.login',
                        'zope.app.zcmlfiles',
                        ],
      entry_points = """
      [paste.app_factory]
      main = exorcism.main.startup:application_factory

      [paste.global_paster_command]
      shell = exorcism.main.debug:Shell
      """,
      )
